Bug 209938 - firefox crashes on print
firefox crashes on print
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-08 11:44 EDT by sean
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 10:32:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sean 2006-10-08 11:44:52 EDT
Description of problem:
Print any page, 
the print dialog comes up, 
click print, 

firefox crashes, but the page prints

Version-Release number of selected component (if applicable):

firefox-1.5.0.7-6.fc6.x86_64
cups-1.2.4-7.x86_64

How reproducible:
print a page

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Here's the console output from strace firefox, from _after_ the print dialog
comes up:

[{WIFEXITED(s) && WEXITSTATUS(s) == 139}], 0, NULL) = 22307
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
--- SIGCHLD (Child exited) @ 0 (0) ---
wait4(-1, 0x7fff40c159c4, WNOHANG, NULL) = -1 ECHILD (No child processes)
rt_sigreturn(0xffffffffffffffff)        = 0
rt_sigaction(SIGINT, {SIG_DFL}, {0x435ec0, [], SA_RESTORER, 0x3852e30210}, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
read(255, "exitcode=$?\n\n## Stop addon scrip"..., 5239) = 91
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
open("/root/.mozilla/firefox/init.d/", O_RDONLY|O_NONBLOCK|O_DIRECTORY) = -1
ENOENT (No such file or directory)
open("/usr/lib64/firefox-1.5.0.7/init.d/", O_RDONLY|O_NONBLOCK|O_DIRECTORY) = 3
fstat(3, {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
fcntl(3, F_SETFD, FD_CLOEXEC)           = 0
getdents(3, /* 3 entries */, 4096)      = 80
getdents(3, /* 0 entries */, 4096)      = 0
close(3)                                = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
access("/root/.mozilla/firefox/init.d/K*", X_OK) = -1 ENOENT (No such file or
directory)
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
access("/usr/lib64/firefox-1.5.0.7/init.d/K*", X_OK) = -1 ENOENT (No such file
or directory)
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
exit_group(139)                         = ?
Process 22296 detached
Comment 1 sean 2006-10-08 12:27:04 EDT
FWIW, same problem on seamonkey. 

OTOH, konqueror and opera work fine.

And other apps print fine.
Comment 2 sean 2006-10-24 09:09:29 EDT
firefox-1.5.0.7-7.fc6.x86_64
firefox-1.5.0.7-7.fc6.i386
cups-1.2.4-9.x86_64

Still the same problem: print any page from firefox, and it crashes.
Comment 3 Ola Thoresen 2006-10-26 16:02:00 EDT
Had the same problem when printing, but only every 5 print or so.
The other day I had to print about 100 web pages, one by one, and for every 5.
page firefox would crash, and needed to be restarted.

Really annoying, but as I print something maybe once a month, I did not
investigate further.
Comment 4 sean 2006-10-29 10:32:48 EST
Well, it works now.

cups-1.2.5-3.fc7.x86_64
firefox-2.0-2.fc7.x86_64
firefox-2.0-2.fc7.i386

SeaMonkey, *not* upgraded, also now doesn't crash on print.


Note You need to log in before you can comment on or make changes to this bug.